apiVersion: v1
kind: Pod
metadata:
  name: lobby-master
  namespace: minecraft
  labels:
    app: minecraft
    service: lobby-master
spec:
  containers:
  - name: lobby-master
    image: registry.gitlab.com/flo3.1/mc-server/lobby-master
    ports:
    - containerPort: 35353
      name: multipaper
    volumeMounts:
        - name:  paper-global
          mountPath: /paper-global/
        - name: multipaper-yml
          mountPath: /multipaper-yml/
        - name: server-properties
          mountPath: /server-properties/
        - name: ops
          mountPath: /ops-json/
    stdin: true
    tty: true
  volumes:
  - name: paper-global
    configMap:
      name: paper-global
      items:
        - key: paper-global-yml
          path: paper-global.yml
  - name: multipaper-yml
    configMap:
      name: lobby-server-properties
      items:
        - key: multipaper-yml
          path: multipaper.yml
  - name: server-properties
    configMap:
      name: lobby-server-properties
      items:
        - key: server-properties
          path: server.properties
  - name: ops
    configMap:
      name: lobby-server-properties
      items:
        - key: ops-json
          path: ops.json
---
apiVersion: v1
kind: Service
metadata:
  namespace: minecraft
  name: lobby-master-service
spec:
  type: ClusterIP
  selector:
    app: minecraft
    service: lobby-master
  ports:
    - protocol: TCP
      port: 35353
      targetPort: 35353
      name: multimc
